<?php
//
// for generating inventory reports!

require('includes/application_top.php');

$names = get_all_products_names_5();
$stocks = get_stocks_5();
$stats = getSalesStats();

?>

<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
  <title>Adafruit Inventory Report 5</title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">

<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">

<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
  function init()
{
  cssjsmenu('navbar');
  if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
}
</script>
</head>
<body onLoad="init()">
  <!-- header //-->                                                                                                                                                                                                                                                             
<div class="header_area">
  <?php require(DIR_WS_INCLUDES . 'header.php'); ?>

</div>
  <!-- header_eof //--> 


<?php
$cat1ql = $db->Execute("SELECT c.categories_id, cd.categories_name from categories c left join categories_description cd on c.categories_id = cd.categories_id where categories_status = 1 and parent_id = 0 order by sort_order");
while(!$cat1ql->EOF)
  {
    $productsql = $db->Execute("SELECT ptc.products_id from products_to_categories ptc left join products p on p.products_id = ptc.products_id where ptc.categories_id = " . (int)$cat1ql->fields['categories_id'] . " and p.products_status = 1");
    if($productsql->RecordCount() > 0)
      {
	?>
 <h1><?php echo $cat1ql->fields['categories_name']; ?></h1>
 <table border="1">
 <tr><th>Product name</th><th>Stock</th><th>Last week</th><th>2 weeks</th><th>3 weeks</th><th>4 weeks</th><th>6 weeks</th><th>8 weeks</th><th>Quarter</th></tr>
 <?php
	  while(!$productsql->EOF)
	    {
	      echo printStats($productsql->fields['products_id']);
	      $productsql->MoveNext();
	    }
	?>
	</table>
	    <?php
      }
    $cat2ql = $db->Execute("SELECT c.categories_id, cd.categories_name from categories c left join categories_description cd on c.categories_id = cd.categories_id where categories_status = 1 and parent_id = ".$cat1ql->fields['categories_id']." order by sort_order");
    while(!$cat2ql->EOF)
      {
	$productsql = $db->Execute("SELECT ptc.products_id from products_to_categories ptc left join products p on p.products_id = ptc.products_id where ptc.categories_id = " . (int)$cat2ql->fields['categories_id'] . " and p.products_status = 1");
	if($productsql->RecordCount() > 0)
	  {
	    ?>
	    <h1><?php echo $cat1ql->fields['categories_name'] . ' - ' . $cat2ql->fields['categories_name']; ?></h1>
      <table border="1">
	<tr><th>Product name</th><th>Stock</th><th>Last week</th><th>2 weeks</th><th>3 weeks</th><th>4 weeks</th><th>6 weeks</th><th>8 weeks</th><th>Quarter</th></tr>
        <?php	
	while(!$productsql->EOF)
	  {
	    echo printStats($productsql->fields['products_id']);
	    $productsql->MoveNext();
	  }
	    ?>
	    </table>
<?php
	$cat2ql->MoveNext();
	  }
      }
    $cat1ql->MoveNext();
      }


?>
<!-- footer //-->
<div class="footer-area">
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
</div>
<!-- footer_eof //-->
<br />
</body>
</html>

<?php
function printStats($pid) {
  global $stocks, $stats, $names;

  $pid = (int)$pid;
  $staty = $stats[$pid];
  
  $pid = (int)$pid;
  $ret = "<tr><td>".$names[$pid]."</td><td>".$stocks[$pid]."</td>";
  for ($i=0; $i<7; $i++) {
    $ret .= "<td ";
    if ($stocks[$pid] <= $staty[$i]) {
      $ret .= "bgcolor = FFCCCC ";
    }
    $ret .= ">".$staty[$i]."</td>";
  }
  $ret .= "</tr>";
  return $ret;
}

function get_stocks_5()
{
  global $db;
  
  $stocks = array();
  $selectql = $db->Execute("SELECT products_quantity, products_id from products");
  while(!$selectql->EOF)
    {
      $stocks[$selectql->fields['products_id']] = $selectql->fields['products_quantity'];
      $selectql->MoveNext();
    }
  
  return $stocks;
}


function get_all_products_names_5()
{
  global $db;
  $selectql = $db->Execute('SELECT pd.products_name, p.* FROM products p 
LEFT JOIN stuff_we_buy swb ON p.products_id = swb.products_id 
LEFT JOIN products_description pd ON p.products_id = pd.products_id
ORDER BY pd.products_name ');
  $stuff = array();
  while(!$selectql->EOF)
    {      
      $stuff[$selectql->fields['products_id']] = stripslashes($selectql->fields['products_name']);
      $selectql->MoveNext();
    }
  return $stuff;
}

?>

